feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Trace

Description

Tracing execution of Feldspar expressions

Synopsis

- trace :: Numeric a => Int -> Data a -> Data a

# Documentation

trace :: Numeric a => Int -> Data a -> Data a

Tracing execution of an expression. Semantically, this is the identity function, but a back end may treat this function specially, for example write its arguments to a log.